<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarModuleProductsCreateProductsStream extends Migration
{

    /**
     * This migration creates the stream.
     * It should be deleted on rollback.
     *
     * @var bool
     */
    protected $delete = true;

    /**
     * The stream definition.
     *
     * @var array
     */
    protected $stream = [
        'slug' => 'products',
        'title_column' => 'name',
        'translatable' => false,
        'versionable' => false,
        'searchable' => false,
        'trashable' => false,
        'sortable' => true,
    ];

    /**
     * The stream assignments.
     *
     * @var array
     */
    protected $assignments = [
        'name' => [
            'required' => true,
        ],
        'category' => [
            'required' => true,
        ],
        'description',
        'details',

        'product_url',
        'open_account_url',
    ];
}
