<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarModuleProductsCreateRatesStream extends Migration
{

    /**
     * This migration creates the stream.
     * It should be deleted on rollback.
     *
     * @var bool
     */
    protected $delete = true;

    /**
     * The stream definition.
     *
     * @var array
     */
    protected $stream = [
        'slug' => 'rates',
        'translatable' => true,
        'versionable' => false,
        'trashable' => false,
        'searchable' => false,
        'sortable' => true,
    ];

    /**
     * The stream assignments.
     *
     * @var array
     */
    protected $assignments = [
        'product' => [
            'required' => true,
        ],
        'min_balance' => [
            'required' => true,
        ],
        'max_balance' => [
            'required' => true,
        ],
        'apy' => [
            'required' => true,
        ],
        'min_to_open' => [
            'required' => true,
        ],
    ];
}
