(function (window, document) {

    let fields = Array.prototype.slice.call(
        document.querySelectorAll('input.ajax-input')
    );

    fields.forEach(function (field) {

        field.addEventListener('keydown', function (event) {
            if (event.key == 'Enter') {
                event.target.blur();
                return false;
            }
        });

        field.addEventListener('blur', function (event) {

            let input = {};

            input[event.target.name] = event.target.value;

            event.target.parentElement.classList.add('has-warning');

            $.post('/admin/products/rates/update', input, function () {

                event.target.parentElement.classList.remove('has-warning');
                event.target.parentElement.classList.add('has-success');

                setTimeout(function() {
                    event.target.parentElement.classList.remove('has-success');
                }, 2000);

                return false;
            });
        });
    });
})(window, document);
