<?php namespace Terrostar\ProductsModule\Http\Controller\Admin;

use Terrostar\ProductsModule\Rate\Form\RateFormBuilder;
use Terrostar\ProductsModule\Rate\Table\RateTableBuilder;
use Anomaly\Streams\Platform\Http\Controller\AdminController;
use Terrostar\ProductsModule\Rate\RateModel;

class RatesController extends AdminController
{

    /**
     * Display an index of existing entries.
     *
     * @param RateTableBuilder $table
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function index(RateTableBuilder $table)
    {
        return $table->render();
    }

    /**
     * Create a new entry.
     *
     * @param RateFormBuilder $form
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function create(RateFormBuilder $form)
    {
        return $form->render();
    }

    /**
     * Edit an existing entry.
     *
     * @param RateFormBuilder $form
     * @param        $id
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function edit(RateFormBuilder $form, $id)
    {
        return $form->render($id);
    }

    /**
     * Update an existing entry.
     *
     * @param RateFormBuilder $form
     * @param        $id
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function update()
    {
        $fields = [
            'min_balance',
            'max_balance',
            'apy',
            'min_to_open',
        ];
        
        foreach ($fields as $field) {
            foreach ($this->request->get($field, []) as $key => $value) {

                $rate = RateModel::find($key);
    
                $rate->{$field} = $value;
    
                $rate->save();
            }
        }
    }
}
