<?php namespace Terrostar\ProductsModule\Product\Table;

use Anomaly\Streams\Platform\Ui\Table\TableBuilder;

class ProductTableBuilder extends TableBuilder
{

    /**
     * The table views.
     *
     * @var array|string
     */
    protected $views = [];

    /**
     * The table filters.
     *
     * @var array|string
     */
    protected $filters = [
        'search' => [
            'fields' => [
                'name',
                'description',
                'details',
            ],
        ],
        'category',
    ];

    /**
     * The table columns.
     *
     * @var array|string
     */
    protected $columns = [
        'name',
        'category',
    ];

    /**
     * The table buttons.
     *
     * @var array|string
     */
    protected $buttons = [
        'edit',
    ];

    /**
     * The table actions.
     *
     * @var array|string
     */
    protected $actions = [
        'delete',
    ];

    /**
     * The table options.
     *
     * @var array
     */
    protected $options = [
        'title' => 'Products',
        'description' => 'Manage products listed on the website.',
    ];

    /**
     * The table assets.
     *
     * @var array
     */
    protected $assets = [];

}
