<?php namespace Terrostar\ProductsModule\Rate\Table;

use Anomaly\Streams\Platform\Ui\Table\TableBuilder;

class RateTableBuilder extends TableBuilder
{

    /**
     * The table filters.
     *
     * @var array|string
     */
    protected $filters = [
        'product',
    ];

    /**
     * The table columns.
     *
     * @var array|string
     */
    protected $columns = [
        'product',
        'min_balance' => [
            'is_safe' => true,
            'wrapper' => '<input name="min_balance[{entry.id}]" value="{value}" class="ajax-input form-control" style="width: 80px;">'
        ],
        'max_balance' => [
            'is_safe' => true,
            'wrapper' => '<input name="max_balance[{entry.id}]" value="{value}" class="ajax-input form-control" style="width: 80px;">'
        ],
        'apy' => [
            'is_safe' => true,
            'wrapper' => '<input name="apy[{entry.id}]" value="{value}" class="ajax-input form-control" style="width: 80px;">'
        ],
        'min_to_open' => [
            'is_safe' => true,
            'wrapper' => '<input name="min_to_open[{entry.id}]" value="{value}" class="ajax-input form-control" style="width: 80px;">'
        ],
        'no_maximum' => [
            'is_safe' => true,
            'value' => 'entry.no_maximum.toggle'
        ],
    ];

    /**
     * The table buttons.
     *
     * @var array|string
     */
    protected $buttons = [
        'edit'
    ];

    /**
     * The table actions.
     *
     * @var array|string
     */
    protected $actions = [
        'delete',
        'edit'
    ];

    /**
     * The table options.
     *
     * @var array
     */
    protected $options = [
        'title' => 'Product Rates',
        'description' => 'Manage the rates for configured products.',
    ];

    /**
     * The table assets.
     *
     * @var array
     */
    protected $assets = [
        'scripts.js' => [
            'terrostar.module.products::js/rates.js',
        ],
    ];

}
